package ru.bitel.bgbilling.modules.tv.dyn.smarty;

import java.util.HashMap;
import java.util.Map;

public class SmartyErorMessage
{
    private String errorMessage = "";
    private Map<String,Object> data = new HashMap<>();
    
    public SmartyErorMessage()
    {
    }
    
    public void put( String name, Object value )
    {
        data.put( name, value );
    }

    public Object get( String name )
    {
        return data.get( name );
    }

    public String getErrorMessage()
    {
        return errorMessage;
    }

    public void setErrorMessage( String errorMessage )
    {
        this.errorMessage = errorMessage;
    }
    
    @Override
    public String toString()
    {
        return errorMessage;
    }
}
